Skip to navigation

Step 1 of Pay with Points - Create inquiry order.

/loyalty/v2/paywithpoints/eligibility requires only the basic Card details to look up Points and subsequently return Point details that can be used interactively with the Card Member.

If the Card is not Points-enabled, a 400 response is returned along with appropriate details.

Note: While /loyalty/v2/paywithpoints/eligibility is effectively a read-only API, a POST is used to ensure the sensitive data required for the request, such as card_number, is secured by not presenting it in the URI’s query string. To learn more, please see the API Standard Practices.

Authentication

AuthorizationBearer

OAuth 2.0 client credentials. Exchange your API key and secret for a bearer token, then send it as Authorization: Bearer <token>.

Headers

X-AMEX-API-KEYstringRequired

A unique Consumer Developer key for Enterprise Web Proxy authentication.

AuthorizationstringRequired

The OAuth2 Bearer token that the API Consumer use to gain access to the American Express API. The value provided here is the response of the Access Token API.

client_idstringRequired<=32 characters

Merchant Identification Code: This is a unique ID assigned to each Merchant when onboarding to the Pay with Points program.

Note: You will be able to access the client_id from your Application Keys when moving to both the Sandbox and Production environments. A standard Sandbox key is available within the Test Data section below.

message_idstringRequired<=36 characters

A unique ID generated by the Merchant for each /loyalty/v2/paywithpoints/eligibility. The scope of uniqueness is limited to the Merchant.

The same message_id should never be re-used across different transactions.

partner_country_codestringRequired<=3 characters

The numeric geographical code (geocode) to represent country and dependent areas.

Request

This endpoint expects an object.
account_keyobjectRequired

The consumer can use any of the following types of identification methods for this API.

amountobjectOptional

A generic object for any amount that is related to a specific transaction.
Note: It is mandatory in case of Single-step scenario.

fraud_checkobjectOptional

Depending on the terms of your agreement in participating with Pay with Points, the cid, exp_month, and exp_year properties may also be required.

Response

Eligibility response
requestor_order_idstringOptional

The message_id header value received in the request.

account_keyobjectOptional

The consumer can use any of the following types of identification methods for this API.

points_neededdoubleOptional

The number of Points the Card Member has approved to be used toward the purchase.

conversion_ratedoubleOptional

The points conversion rate.

merchant_service_establishment_idstringOptional

The Merchant Store Number if applicable.

Note: This field is applicable only for non-USA market partners. The partners can choose to send this field, but it is not required.

This field is non-applicable for USA market partners.

merchant_nameenumOptional

The Merchant Name if applicable.

Note: This field is applicable only for non-USA market partners. The partners can choose to send this field, but it is not required.

This field is non-applicable for USA market partners.

Allowed values:
merchant_pricing_codestringOptional

The Merchant pricing code passed in request. This is configured by the American Express and shared to the Partner at the time of onboarding.

Note: This field is mandatory only for non-USA market partners.

This field is non-mandatory for USA market partners.

_embeddedobjectOptional

This object embeds the reward program account information like current balance, tier code, reward unit, minimum and maximum dollar amount limits per transaction.

Errors

400
Bad Request Error
500
Internal Server Error